Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.clustering
Class ClusteredObservationBus.Receiver

    java.lang.Object
      org.modeshape.clustering.ClusteredObservationBus.Receiver

All Implemented Interfaces:
  org.jgroups.MembershipListener, org.jgroups.MessageListener, org.jgroups.Receiver

Enclosing class:
  ClusteredObservationBus

    protected class ClusteredObservationBus.Receiver

extends Object
implements org.jgroups.Receiver

Constructor Summary
`protected` | `ClusteredObservationBus.Receiver()`

Method Summary
`void` | `block()`
`byte[]` | `getState()`
`void` | `receive(org.jgroups.Message message)`
`void` | `setState(byte[] state)`
`void` | `suspect(org.jgroups.Address suspectedMbr)`
`void` | `viewAccepted(org.jgroups.View newView)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteredObservationBus.Receiver

    protected ClusteredObservationBus.Receiver()

Method Detail

### block

    public void block()

  Specified by:
    `block` in interface `org.jgroups.MembershipListener`
  See Also:
    `MembershipListener.block()`

### receive

    public void receive(org.jgroups.Message message)

  Specified by:
    `receive` in interface `org.jgroups.MessageListener`
  See Also:
    `MessageListener.receive(org.jgroups.Message)`

### getState

    public byte[] getState()

  Specified by:
    `getState` in interface `org.jgroups.MessageListener`
  See Also:
    `MessageListener.getState()`

### setState

    public void setState(byte[] state)

  Specified by:
    `setState` in interface `org.jgroups.MessageListener`
  See Also:
    `MessageListener.setState(byte[])`

### suspect

    public void suspect(org.jgroups.Address suspectedMbr)

  Specified by:
    `suspect` in interface `org.jgroups.MembershipListener`
  See Also:
    `MembershipListener.suspect(org.jgroups.Address)`

### viewAccepted

    public void viewAccepted(org.jgroups.View newView)

  Specified by:
    `viewAccepted` in interface `org.jgroups.MembershipListener`
  See Also:
    `MembershipListener.viewAccepted(org.jgroups.View)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.